<?
error_reporting(0); 
session_start();

header("Content-type: text/html; charset=cp1251");
if(!isset($_SESSION["user_id"])){ Header("Location: /"); return; } else { $sess = $_SESSION['user_id']; }
if(isset($_POST['codeqiwi'])) {

if(empty($_POST['codeqiwi'])) { exit(' Qiwi-ваучер не указан! Укажите и повторите попытку.'); }

# Автоподгрузка классов
function __autoload($name){ include("classes/_class.".$name.".php");}

# Класс конфига 
$config = new config;

# Функции
$func = new func;

# База данных
$db = new db($config->HostDB, $config->UserDB, $config->PassDB, $config->BaseDB);

$time = time();

include_once($_SERVER['DOCUMENT_ROOT']."/classes/qiwi.class.php");
$qiwiacc = '79827121119'; //  qиви кошелек в формате 796545645645 
$qiwipass = 'gustes123@';  // nароль от киви
$wallet = new Qiwi($qiwiacc, $qiwipass, $_SERVER['DOCUMENT_ROOT'].'/tmp/cookie.txt');
$codeqiwi = trim( $_POST['codeqiwi'] );
$explode = $wallet->activateEgg( $codeqiwi );
$add_summ = $explode['dAmount'];
$add_user = $sess;

if($add_summ > 1)
{

$db->Query("SELECT * FROM db_config WHERE id = 1 LIMIT 1");
$sonfig_site = $db->FetchArray();	
		  
		  
		  
		 	$db->Query("SELECT * FROM db_users_a WHERE id = '$add_user' LIMIT 1");
			$data = $db->FetchArray();
			$id = $data['id'];
			$login = $data['user'];
			$refid =  $data['referer_id'];
			
			
			
			
			$serebro = $sonfig_site['ser_per_wmr'] * $add_summ;
		    $db->Query("SELECT insert_sum FROM db_users_b WHERE id = '$add_user' LIMIT 1");
            $ins_sum = $db->FetchRow();
		   
		    $serebro = intval($ins_sum <= 0.01) ? ($serebro + ($serebro * 0.5) ) : $serebro + ($serebro * 0.5); # Зачисляем бонус при первом пополнении 50 процентов - 0.5 серебро
			
			$add_tree = ($add_summ >= 149321239.99) ? 1 : 0;
			$lsb = time();
			$to_referer = $serebro * 0.20; // Рефские
		
		   $db->Query("UPDATE db_users_b SET money_b = money_b + '$serebro', e_t = e_t + '$add_tree', to_referer = to_referer + '$to_referer', last_sbor = '$lsb', insert_sum = insert_sum + '$add_summ' WHERE id = '$id'");
			
		
			
			# Зачисляем средства рефереру и дерево
			$add_tree_referer = ($ins_sum <= 0.01) ? ", a_t = a_t + 0" : "";
			$db->Query("UPDATE db_users_b SET money_b = money_b + $to_referer, from_referals = from_referals + '$to_referer' '$add_tree_referer' WHERE id = '$refid'");
   
      # Статистика пополнений
   $da = time();
   $dd = $da + 60*60*24*15;
   $db->Query("INSERT INTO db_insert_money (user, user_id, money, serebro, date_add, date_del) VALUES ('$login','$id','$add_summ','$serebro','$da','$dd')");
   
   
   
   
   
      # Конкурс
   $competition = new competition($db);
   $competition->UpdatePoints($id, $add_summ);
   
   $wmset = new wmset();
   $marray = $wmset->GetSet($add_summ);
   
   $a_t = intval($marray["t_a"]);
   $b_t = intval($marray["t_b"]);
   $c_t = intval($marray["t_c"]);
   $d_t = intval($marray["t_d"]);
   $e_t = intval($marray["t_e"]);
   
   $db->Query("UPDATE db_users_b SET a_t = a_t + '$a_t', b_t = b_t + '$b_t', c_t = c_t + '$c_t', d_t = d_t + '$d_t', e_t = e_t + '$e_t', 
   last_sbor = '$lsb' WHERE id = '{$id}'");
   
	# Обновление статистики сайта
	$db->Query("UPDATE db_stats SET all_insert = all_insert + '$add_summ' WHERE id = '1'");

   $wmset = new wmset();
   $marray = $wmset->GetSet($add_summ);
   
   $a_t = intval($marray["t_a"]);
   $b_t = intval($marray["t_b"]);
   $c_t = intval($marray["t_c"]);
   $d_t = intval($marray["t_d"]);
   $e_t = intval($marray["t_e"]);
   
   $db->Query("UPDATE db_users_b SET a_t = a_t + '$a_t', b_t = b_t + '$b_t', c_t = c_t + '$c_t', d_t = d_t + '$d_t', e_t = e_t + '$e_t', 
   last_sbor = '$lsb' WHERE id = '{$id}'");
   
} else echo '<font color="red">Ошибка проверки суммы.</font>';

} else echo '<font color="red">Ошибка</font>';

		  
?>